Published: 2020-09-09 12:11 | Updated: 2020-09-09 16:53

Issues with the PunchOut in UBW e-commerce

Currently, there may be issues with the PunchOut in UBW e-commerce.

The error is most likely due to an updated version of Chrome. We continue to work together with Unit4 to solve the problem.

Until the problem is resolved, you can use older version of Google Chrome (version 79.0.3945.79), but also MS Edge.